jwt_config_t(3)

NAME
jwt_config_t - Structure used to pass state with a user callback.

SYNOPSIS

  Data Fields

const jwk_item_t * key
jwt_alg_t alg
void * ctx

Detailed Description

Structure used to pass state with a user callback.

Field Documentation

  jwt_alg_t jwt_config_t::alg
For algorithm matching

  void* jwt_config_t::ctx
User controlled context

  const jwk_item_t* jwt_config_t::key
A JWK to use for key

Author

Generated automatically by Doxygen for LibJWT from the source code.